Verify webhook
curl --request POST \
--url https://management-api.fpjs.io/webhooks/{id}/verification \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Version: <x-api-version>'import requests
url = "https://management-api.fpjs.io/webhooks/{id}/verification"
headers = {
"X-API-Version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://management-api.fpjs.io/webhooks/{id}/verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "wh_HYv9YfsIIUjpvR",
"description": "My Webhook",
"verified": false,
"environment": {},
"url": "https://website.com/webhook",
"legacy": true,
"basic_auth": {},
"created_at": "2023-11-07T05:31:56Z",
"signing_key": "<string>",
"last_enabled_at": {},
"last_disabled_at": {}
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"violations": [
{
"property": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}webhooks
Verify webhook
deprecated
Send a test event in order to verify your webhook endpoint, it needs to respond with HTTP 200 to be verified. Webhook needs to be verified before it will receive identification events.
POST
/
webhooks
/
{id}
/
verification
Verify webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Management API version.
Path Parameters
Webhook ID
Response
Webhook verification process initiated. Make sure webhook is active in order to receive identification events.
Show child attributes
Show child attributes
Was this page helpful?
⌘I